"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.mixBlendMode = void 0;
exports.mixBlendMode = {
    name: 'mix-blend-mode',
    initialValue: 'normal',
    prefix: false,
    type: 2 /* IDENT_VALUE */,
    parse: function (_context, mode) {
        switch (mode) {
            case 'multiply':
                return "multiply" /* MULTIPLY */;
            case 'screen':
                return "screen" /* SCREEN */;
            case 'overlay':
                return "overlay" /* OVERLAY */;
            case 'darken':
                return "darken" /* DARKEN */;
            case 'lighten':
                return "lighten" /* LIGHTEN */;
            case 'color-dodge':
                return "color-dodge" /* COLOR_DODGE */;
            case 'color-burn':
                return "color-burn" /* COLOR_BURN */;
            case 'hard-light':
                return "hard-light" /* HARD_LIGHT */;
            case 'soft-light':
                return "soft-light" /* SOFT_LIGHT */;
            case 'difference':
                return "difference" /* DIFFERENCE */;
            case 'exclusion':
                return "exclusion" /* EXCLUSION */;
            case 'hue':
                return "hue" /* HUE */;
            case 'saturation':
                return "saturation" /* SATURATION */;
            case 'color':
                return "color" /* COLOR */;
            case 'luminosity':
                return "luminosity" /* LUMINOSITY */;
            case 'initial':
                return "initial" /* INITIAL */;
            case 'inherit':
                return "inherit" /* INHERIT */;
            case 'revert':
                return "revert" /* REVERT */;
            case 'unset':
                return "unset" /* UNSET */;
            case 'normal':
            default:
                return "normal" /* NORMAL */;
        }
    }
};
//# sourceMappingURL=mix-blend-mode.js.map